#
# spec file for package knetutil (Version alpha)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake autoconf qtlib qtdevel gpp libgpp ksupp klibs kbase libz gettext libgif libjpeg

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         knetutil
Release:      20
Copyright:    1997,1998 The KDE-Team
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      KDE network utilities (Alpha!)
Version:      alpha
Source0: knetutil.tar.gz
Source1: ktelnet-0.53.tgz 
Source2: klogin-0.1.tgz
Source4: kworldwatch-0.6.tgz
Source5: kimon-0.2.3.tar.gz
Source6: ktalkd-0.6.2.tar.gz
Source7: ktalk-0.2.4.tar.gz
Patch5:  kimon-0.2.3.dif
%description
Alpha stage!
Some KDE packages are still in an early development stage. Thus, KDE being
relatively stable, it may nevertheless happen that any of the KDE
applications crashes or produces strange effects.
This package is especially concerned since it was built from
not yet officially released programs.
Newest KDE packages adepted to S.u.S.E. Linux may be found at
ftp://ftp.suse.com/pub/suse_update/KDE. 
General information for KDE can be found at the respective addresses
in WWW (http://www.kde.org) or our support database
(http://www.suse.de/Support/sdb). 
Contains some additional network tools.
Documentation in:
/usr/doc/packages/kde/knetutil 

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n knetutil -b 1 -b 2 -b 4 -b 5 -b 6 -b 7  
cd ../kimon-0.2.3
%patch -P 5
%build
. variables.sh
cd ..
export PATH=.:$PATH
for FILE in `find -name "*.P"` `find -name "config.cache"`
do
    echo -n "Removing $FILE..."
    rm -f $FILE
    echo "Done."
done
for DIR in `find -type d`
do
    ( 
	cd $DIR 
	rm -f config.cache 
	test -f configure && \
	    chmod u+x configure && \
	    ./configure \
		--prefix=${KDEDIR} \
		--with-qt-dir=${QTDIR} \
		--with-qt-includes=${QTDIR}/include \
		--with-qt-libraries=${QTDIR}/lib
	test -f Makefile && make 
    )
done
%install
. variables.sh
export PATH=.:$PATH
export MYDOCS=${DOCROOT}/knetutil
cd ..
for DIR in `find -type d`
do
    ( 
	cd $DIR && \
	test -f Makefile && make install 
    )
done
install -m 755 -d ${MYDOCS}
#
# move kdelnk files to other 
# menu hirarchy
#
cd /opt/kde/share/applnk
rm -rf Alpha
mkdir Alpha
for i in Internet Network Settings Utilities 
do
   rm -rf Alpha/$i
   #install -d -m 755 Alpha/$i
   mkdir Alpha/$i
   cp -R $i/* Alpha/$i
   rm -rf $i
done
Check
%files
%dir /opt/kde/share/apps/ktelnet/pics
%dir /opt/kde/share/apps/ktelnet/toolbar
%dir /opt/kde/share/apps/kworldwatch/pics
%docdir /opt/kde/share/doc/HTML/cs/ktalk
%docdir /opt/kde/share/doc/HTML/de/ktalk
%docdir /opt/kde/share/doc/HTML/de/ktelnet
%docdir /opt/kde/share/doc/HTML/en/klogin
%docdir /opt/kde/share/doc/HTML/en/ktalk
%docdir /opt/kde/share/doc/HTML/en/ktalkd
%docdir /opt/kde/share/doc/HTML/en/ktelnet
%docdir /usr/doc/packages/kde/knetutil
/opt/kde/bin/kcmktalkd
/opt/kde/bin/kimon
/opt/kde/bin/klogin
/opt/kde/bin/ktalk
/opt/kde/bin/ktalkd
/opt/kde/bin/ktalkdlg
/opt/kde/bin/ktelnet
/opt/kde/bin/kworldwatch
/opt/kde/bin/mail.local
/opt/kde/share/applnk/Alpha/Internet/ktalk.kdelnk
/opt/kde/share/applnk/Alpha/Network/ktelnet.kdelnk
/opt/kde/share/applnk/Alpha/Settings/Network/kcmktalkd.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/KLogin.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/KWorldWatch.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/kimon.kdelnk
/opt/kde/share/apps/ktelnet/pics/kdelogo.gif
/opt/kde/share/apps/ktelnet/pics/ktelnet.xpm
/opt/kde/share/apps/ktelnet/pics/ktname.xpm
/opt/kde/share/apps/ktelnet/toolbar/dec.xpm
/opt/kde/share/apps/ktelnet/toolbar/next.xpm
/opt/kde/share/apps/ktelnet/toolbar/session1.xpm
/opt/kde/share/apps/ktelnet/toolbar/sgi.xpm
/opt/kde/share/apps/ktelnet/toolbar/smalldown.xpm
/opt/kde/share/apps/ktelnet/toolbar/smalldown_grey.xpm
/opt/kde/share/apps/ktelnet/toolbar/smallup.xpm
/opt/kde/share/apps/ktelnet/toolbar/smallup_grey.xpm
/opt/kde/share/apps/ktelnet/toolbar/sun.xpm
/opt/kde/share/apps/kworldwatch/pics/flag-blue.xpm
/opt/kde/share/apps/kworldwatch/pics/flag-green.xpm
/opt/kde/share/apps/kworldwatch/pics/flag-red.xpm
/opt/kde/share/apps/kworldwatch/pics/flag-yellow.xpm
/opt/kde/share/apps/kworldwatch/pics/world.gif
/opt/kde/share/apps/kworldwatch/pics/world2.gif
/opt/kde/share/apps/kworldwatch/pics/world_dark.gif
%config /opt/kde/share/config/ktelnetrc
%doc /opt/kde/share/doc/HTML/cs/ktalk/addressbook.gif
%doc /opt/kde/share/doc/HTML/cs/ktalk/history.html
%doc /opt/kde/share/doc/HTML/cs/ktalk/index.html
%doc /opt/kde/share/doc/HTML/cs/ktalk/instructions.html
%doc /opt/kde/share/doc/HTML/cs/ktalk/mainwindow.gif
%doc /opt/kde/share/doc/HTML/cs/ktalk/talkdialog.gif
%doc /opt/kde/share/doc/HTML/cs/ktalk/talkwindow.gif
%doc /opt/kde/share/doc/HTML/de/ktalk/addressbook.gif
%doc /opt/kde/share/doc/HTML/de/ktalk/index.html
%doc /opt/kde/share/doc/HTML/de/ktalk/ktalk-1.html
%doc /opt/kde/share/doc/HTML/de/ktalk/ktalk-2.html
%doc /opt/kde/share/doc/HTML/de/ktalk/ktalk-3.html
%doc /opt/kde/share/doc/HTML/de/ktalk/ktalk-4.html
%doc /opt/kde/share/doc/HTML/de/ktalk/ktalk-5.html
%doc /opt/kde/share/doc/HTML/de/ktalk/ktalk-6.html
%doc /opt/kde/share/doc/HTML/de/ktalk/ktalk-7.html
%doc /opt/kde/share/doc/HTML/de/ktalk/logotp3.gif
%doc /opt/kde/share/doc/HTML/de/ktalk/mainwindow.gif
%doc /opt/kde/share/doc/HTML/de/ktalk/talkdialog.gif
%doc /opt/kde/share/doc/HTML/de/ktelnet/index.html
%doc /opt/kde/share/doc/HTML/en/klogin/index.html
%doc /opt/kde/share/doc/HTML/en/klogin/klogin.gif
%doc /opt/kde/share/doc/HTML/en/ktalk/addressbook.gif
%doc /opt/kde/share/doc/HTML/en/ktalk/index.html
%doc /opt/kde/share/doc/HTML/en/ktalk/ktalk-1.html
%doc /opt/kde/share/doc/HTML/en/ktalk/ktalk-2.html
%doc /opt/kde/share/doc/HTML/en/ktalk/ktalk-3.html
%doc /opt/kde/share/doc/HTML/en/ktalk/ktalk-4.html
%doc /opt/kde/share/doc/HTML/en/ktalk/ktalk-5.html
%doc /opt/kde/share/doc/HTML/en/ktalk/ktalk-6.html
%doc /opt/kde/share/doc/HTML/en/ktalk/ktalk-7.html
%doc /opt/kde/share/doc/HTML/en/ktalk/logotp3.gif
%doc /opt/kde/share/doc/HTML/en/ktalk/mainwindow.gif
%doc /opt/kde/share/doc/HTML/en/ktalk/talkdialog.gif
%doc /opt/kde/share/doc/HTML/en/ktalkd/index.html
%doc /opt/kde/share/doc/HTML/en/ktalkd/ktalkd-1.html
%doc /opt/kde/share/doc/HTML/en/ktalkd/ktalkd-2.html
%doc /opt/kde/share/doc/HTML/en/ktalkd/ktalkd-3.html
%doc /opt/kde/share/doc/HTML/en/ktalkd/ktalkd-4.html
%doc /opt/kde/share/doc/HTML/en/ktalkd/ktalkd-5.html
%doc /opt/kde/share/doc/HTML/en/ktalkd/ktalkd-6.html
%doc /opt/kde/share/doc/HTML/en/ktalkd/ktalkd-7.html
%doc /opt/kde/share/doc/HTML/en/ktalkd/logotp3.gif
%doc /opt/kde/share/doc/HTML/en/ktelnet/index.html
/opt/kde/share/icons/klogin.xpm
/opt/kde/share/icons/ktalk.xpm
/opt/kde/share/icons/ktelnet.xpm
/opt/kde/share/icons/kworldwatch.xpm
/opt/kde/share/icons/mini/klogin.xpm
/opt/kde/share/icons/mini/ktalk.xpm
/opt/kde/share/icons/mini/kworldwatch.xpm
/opt/kde/share/locale/de/LC_MESSAGES/ktalk.mo
/opt/kde/share/locale/de/LC_MESSAGES/ktalkd.mo
/opt/kde/share/locale/de/LC_MESSAGES/ktelnet.mo
/opt/kde/share/locale/es/LC_MESSAGES/ktalkd.mo
/opt/kde/share/locale/es/LC_MESSAGES/ktelnet.mo
/opt/kde/share/locale/fr/LC_MESSAGES/ktalkd.mo
/opt/kde/share/locale/hr/LC_MESSAGES/ktalkd.mo
/opt/kde/share/locale/it/LC_MESSAGES/ktalkd.mo
/opt/kde/share/locale/it/LC_MESSAGES/ktelnet.mo
/opt/kde/share/locale/nl/LC_MESSAGES/ktalkd.mo
/opt/kde/share/locale/no/LC_MESSAGES/ktelnet.mo
/opt/kde/share/locale/pt/LC_MESSAGES/ktalkd.mo
/opt/kde/share/locale/pt/LC_MESSAGES/ktelnet.mo
/opt/kde/share/locale/sk/LC_MESSAGES/ktelnet.mo

